export { RspackBuiltinPlugin } from "./base";
export * from "./DefinePlugin";
export * from "./ProvidePlugin";
export * from "./BannerPlugin";
export * from "./ProgressPlugin";
export * from "./EntryPlugin";
export * from "./ExternalsPlugin";
export * from "./NodeTargetPlugin";
export * from "./ElectronTargetPlugin";
export * from "./HttpExternalsRspackPlugin";
export * from "./EnableChunkLoadingPlugin";
export * from "./EnableLibraryPlugin";
export * from "./EnableWasmLoadingPlugin";
export * from "./ChunkPrefetchPreloadPlugin";
export * from "./ArrayPushCallbackChunkFormatPlugin";
export * from "./CommonJsChunkFormatPlugin";
export * from "./ModuleChunkFormatPlugin";
export * from "./HotModuleReplacementPlugin";
export * from "./WebWorkerTemplatePlugin";
export * from "./WorkerPlugin";
export * from "./LimitChunkCountPlugin";
export * from "./MergeDuplicateChunksPlugin";
export * from "./SplitChunksPlugin";
export * from "./NamedModuleIdsPlugin";
export * from "./DeterministicModuleIdsPlugin";
export * from "./NamedChunkIdsPlugin";
export * from "./DeterministicChunkIdsPlugin";
export * from "./RealContentHashPlugin";
export * from "./RemoveEmptyChunksPlugin";
export * from "./EnsureChunkConditionsPlugin";
export * from "./WarnCaseSensitiveModulesPlugin";
export * from "./DataUriPlugin";
export * from "./FileUriPlugin";
export * from "./RuntimePlugin";
export * from "./JsonModulesPlugin";
export * from "./InferAsyncModulesPlugin";
export * from "./JavascriptModulesPlugin";
export * from "./AsyncWebAssemblyModulesPlugin";
export * from "./AssetModulesPlugin";
export * from "./SourceMapDevToolPlugin";
export * from "./EvalSourceMapDevToolPlugin";
export * from "./SideEffectsFlagPlugin";
export * from "./FlagDependencyExportsPlugin";
export * from "./FlagDependencyUsagePlugin";
export * from "./MangleExportsPlugin";
export * from "./HtmlRspackPlugin";
export * from "./CopyRspackPlugin";
export * from "./SwcJsMinimizerPlugin";
export * from "./SwcCssMinimizerPlugin";
import { RawDecoratorOptions, RawPresetEnv, RawProgressPluginOptions, RawBuiltins, RawCssModulesConfig } from "@rspack/binding";
import { Compiler, CopyRspackPluginOptions, HtmlRspackPluginOptions, RspackOptionsNormalized, SwcJsMinimizerRspackPluginOptions } from "..";
import { BannerPluginOptions } from ".";
import { EmotionOptions, PluginImportOptions, ReactOptions, RelayOptions } from "../builtin-loader/swc";
type BuiltinsCssConfig = {
    modules?: Partial<RawCssModulesConfig>;
};
export interface Builtins {
    css?: BuiltinsCssConfig;
    treeShaking?: boolean | "module";
    progress?: boolean | Partial<RawProgressPluginOptions>;
    noEmitAssets?: boolean;
    define?: Record<string, string | boolean | undefined>;
    provide?: Record<string, string | string[]>;
    html?: Array<HtmlRspackPluginOptions>;
    decorator?: boolean | Partial<RawDecoratorOptions>;
    minifyOptions?: SwcJsMinimizerRspackPluginOptions;
    presetEnv?: Partial<RawPresetEnv>;
    devFriendlySplitChunks?: boolean;
    copy?: CopyRspackPluginOptions;
    banner?: BannerPluginOptions | BannerPluginOptions[];
    react?: ReactOptions;
    pluginImport?: PluginImportOptions;
    emotion?: EmotionOptions;
    relay?: RelayOptions;
}
export declare function deprecated_resolveBuiltins(builtins: Builtins, options: RspackOptionsNormalized, compiler: Compiler): RawBuiltins;
//# sourceMappingURL=index.d.ts.map